from django.contrib import admin

from .models import *


class ChoiceInline(admin.TabularInline):
	model = Application  #https://stackoverflow.com/questions/5947843/django-how-does-manytomanyfield-with-through-appear-in-admin
	extra = 2 

class AllotedChoiceToAppInLine(admin.TabularInline):
	model=Allocationcl
	extra=0

class ApplicantAdmin(admin.ModelAdmin):
	fields = ['name', 'rank']
	inlines = [ChoiceInline, AllotedChoiceToAppInLine]

# class
admin.site.register(University)
admin.site.register(Choice)
admin.site.register(Applicant, ApplicantAdmin)
